# Module `blingbling.udisks_glue`

A menu for udisks-glue informations and actions

## Functions

set_mount_icon (ud_menu, an_image) | Define the icon for the mount action in the menu.
set_umount_icon (ud_menu, an_image) | Define the icon for the umount action in the menu.
set_detach_icon (ud_menu, an_image) | Define the icon for the detach action in the menu.
set_eject_icon (ud_menu, an_image) | Define the icon for eject action in the menu.
set_Usb_icon (ud_menu, an_image) | Define the icon for usb devices in the menu.
set_Cdrom_icon (ud_menu, an_image) | Define the icon for Cdrom devices in the menu.

## Functions

set_mount_icon (ud_menu, an_image)
  Define the icon for the mount action in the menu.

  ### Parameters:

  - ud_menu the udisk-glue menu widget or nothing if you use widget:set_mount_icon
  - an_image an image file name

  ### Usage:

      ud_widget:set_mount_icon(icon)

set_umount_icon (ud_menu, an_image)
  Define the icon for the umount action in the menu.

  ### Parameters:

  - ud_menu the udisk-glue menu widget or nothing if you use widget:set_umount_icon
  - an_image an image file name

  ### Usage:

      ud_widget:set_umount_icon(icon)

set_detach_icon (ud_menu, an_image)
  Define the icon for the detach action in the menu.

  ### Parameters:

  - ud_menu the udisk-glue menu widget or nothing if you use widget:set_detach_icon
  - an_image an image file name

  ### Usage:

      ud_widget:set_detach_icon(icon)

set_eject_icon (ud_menu, an_image)
  Define the icon for eject action in the menu.

  ### Parameters:

  - ud_menu the udisk-glue menu widget or nothing if you use widget:set_eject_icon
  - an_image an image file name

  ### Usage:

      ud_widget:set_eject_icon(icon)

set_Usb_icon (ud_menu, an_image)
  Define the icon for usb devices in the menu.

  ### Parameters:

  - ud_menu the udisk-glue menu widget or nothing if you use widget:set_Usb_icon
  - an_image an image file name

  ### Usage:

      ud_widget:set_Usb_icon(icon)

set_Cdrom_icon (ud_menu, an_image)
  Define the icon for Cdrom devices in the menu.

  ### Parameters:

  - ud_menu the udisk-glue menu widget or nothing if you use widget:set_Cdrom_icon
  - an_image an image file name

  ### Usage:

      ud_widget:set_Cdrom_icon(icon)

generated by LDoc 1.4.2